require "adventureclasses"

def createAdventure
	r1obs = [Treasure.new("sword", "a lovely golden sword", [], 50 ),
			 Treasure.new("ring", "a ring of great power", [], 100 ),
			 Treasure.new("wombat", "small, furry, gently snoring creature", [], 3 )]
			 
	someRooms = [ Room.new("Treasure Room", "a fabulous golden chamber", r1obs, -1,  2, -1,  1),
		Room.new("Dragon's Lair", "a huge and glittering lair", [],-1, -1,  0, -1),
		Room.new("Troll Cave", "a dank and gloomy cave",[],        0, -1, -1,  3),
		Room.new("Crystal Dome", "a vast dome of glass", [],      -1, -1,  2, -1)	
	]
	
	@imp = Implementer.new( someRooms )
	
end

createAdventure

puts( @imp.moveTo( :e ) )
puts( @imp.moveTo( :w ) )
puts( @imp.moveTo( :n ) )
puts( @imp.moveTo( :s ) )
puts( @imp.moveTo( :e ) )
puts( @imp.moveTo( :s ) )


x = @imp.game.map.rooms[0].obInThings("ring")

print( "Found in room 0: " )
p x
print( "Objects in room 0: " )
p @imp.game.map.rooms[0].things
print( "Objects owned by player: " )
p @imp.player.things
puts( "Take the ring" )
@imp.player.takeThingFrom( x, @imp.game.map.rooms[0].things )
print( "Objects in room 0: " )
p @imp.game.map.rooms[0].things
print( "Objects owned by player: " )
p @imp.player.things
print( "All rooms in the game: " )
p @imp.game.map.rooms
# p @imp.game.map.things