$globvar = "global variable"
localvar = "local to the main scope"

class X
	localvar = "class local variable"
	
	def initialize
		localvar = "initialize local variable"
		@instvar = "instance variable"
		puts( localvar )	#=>4 initialize local variable
		puts( @instvar )	#=>5 instance variable
		puts( $globvar )	#=>6 global variable
	end
	
	def aMethod
		# puts( localvar )	#<= Here localvar is not accessible!
		puts( @instvar )	#=>7 instance variable
		puts( $globvar )	#=>8 global variable
	end
	
	puts( localvar )		#=>1 class local variable
	puts( @instvar )		#=>2 nil
	puts( $globvar )		#=>3 global variable
end

puts
ob = X.new
puts
ob.aMethod
puts
puts( localvar )			#=>9 local to the main scope
puts( @instvar )			#=>10 nil
puts( $globvar )			#=>11 global variable